Skip to content
Start here

Retrieve a list of all slots matching the specified parameters

client.networkInterconnects.slots.list(SlotListParams { account_id, address_contains, cursor, 4 more } params, RequestOptionsoptions?): SlotListResponse { items, next }
GET/accounts/{account_id}/cni/slots

Retrieve a list of all slots matching the specified parameters

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
ParametersExpand Collapse
params: SlotListParams { account_id, address_contains, cursor, 4 more }
account_id: string

Path param: Customer account tag

address_contains?: string | null

Query param: If specified, only show slots with the given text in their address field

cursor?: number | null

Query param

formatint32
limit?: number | null

Query param

minimum0
occupied?: boolean | null

Query param: If specified, only show slots with a specific occupied/unoccupied state

site?: string | null

Query param: If specified, only show slots located at the given site

speed?: string | null

Query param: If specified, only show slots that support the given speed

ReturnsExpand Collapse
SlotListResponse { items, next }
items: Array<Item>
id: string

Slot ID

formatuuid
facility: Facility { address, name }
address: Array<string>
name: string
occupied: boolean

Whether the slot is occupied or not

site: string
speed: string
account?: string

Customer account tag

Retrieve a list of all slots matching the specified parameters

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const slots = await client.networkInterconnects.slots.list({ account_id: 'account_id' });

console.log(slots.items);
{
  "items": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "facility": {
        "address": [
          "string"
        ],
        "name": "name"
      },
      "occupied": true,
      "site": "site",
      "speed": "speed",
      "account": "account"
    }
  ],
  "next": 0
}
Returns Examples
{
  "items": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "facility": {
        "address": [
          "string"
        ],
        "name": "name"
      },
      "occupied": true,
      "site": "site",
      "speed": "speed",
      "account": "account"
    }
  ],
  "next": 0
}